# Read information of a published dashboard to mint an OAuth token

Launch stage: Public Preview

`GET /api/2.0/lakeview/dashboards/{dashboard_id}/published/tokeninfo`

Get a required authorization details and scopes of a published dashboard to mint an OAuth token.

 The caller must be a workspace user with one of the following entitlements:
 Workspace access, Databricks SQL access, or Consumer access.

 Account-level users who are not members of the workspace cannot call this
 endpoint, even if the dashboard has been shared with them.

API scopes: dashboards

## Path parameters

- `dashboard_id` (string, required)
  UUID identifying the published dashboard.

## Query parameters

- `external_value` (string, optional)
  Provided external value to be included in the custom claim.
- `external_viewer_id` (string, optional)
  Provided external viewer id to be included in the custom claim.

## Returns

- `custom_claim` (string, optional)
  Custom claim generated from external_value and external_viewer_id.
   Format: `urn:aibi:external_data:<external_value>:<external_viewer_id>:<dashboard_id>`
- `scope` (string, optional)
  Scope defining access permissions.
- `authorization_details` (array of object, optional)
  Authorization constraints for accessing the published dashboard.
   Currently includes `workspace_rule_set` and could be enriched with `unity_catalog_privileges` before
   oAuth token generation.
  - `type` (string, optional)
    The type of authorization downscoping policy.
     Ex: `workspace_rule_set` defines access rules for a specific workspace resource
  - `resource_name` (string, optional)
    The resource name to which the authorization rule applies.
     This field is specific to `workspace_rule_set` constraint.
     Format: `workspaces/{workspace_id}/dashboards/{dashboard_id}`
  - `resource_legacy_acl_path` (string, optional)
    The acl path of the tree store resource resource.
  - `grant_rules` (array of object, optional)
    Represents downscoped permission rules with specific access rights.
     This field is specific to `workspace_rule_set` constraint.
    - `permission_set` (string, optional)
      Permission sets for dashboard are defined in
       iam-common/rbac-common/permission-sets/definitions/TreeStoreBasePermissionSets
       Ex: `permissionSets/dashboard.runner`

## Response

```json
{
  "custom_claim": "string",
  "scope": "string",
  "authorization_details": [
    {
      "type": "string",
      "resource_name": "string",
      "resource_legacy_acl_path": "string",
      "grant_rules": [
        {}
      ]
    }
  ]
}
```

